For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all events
        • GETGet an event by ID
        • GETGet all event types
        • GETGet event type by ID
        • POSTCreate Event Type: MRI
        • POSTCreate Applicant Event: MRI
        • PUTUpdate Applicant Event: MRI
        • POSTCreate Lead Event: MRI
        • PUTUpdate Lead Event: MRI
        • POSTCreate Resident Event: MRI
        • PUTUpdate Resident Event: MRI
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
MRIEvents

Create Resident Event: MRI

POST
/v1/events/residents/mri/
POST
/v1/events/residents/mri/
$curl -X POST https://api.propexo.com/v1/events/residents/mri/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "int-987654321",
> "resident_id": "res-123456789",
> "event_type_id": "evt-mri-001",
> "event_datetime": "2024-01-15T09:30:00Z"
>}'
1{
2 "meta": {
3 "job_id": "job-20240115-093000"
4 },
5 "result": {
6 "integration_id": "int-987654321",
7 "resident_id": "res-123456789",
8 "event_type_id": "evt-mri-001",
9 "event_datetime": "2024-01-15T09:30:00Z",
10 "employee_id": "emp-456789123",
11 "status": "COMPLETED",
12 "notes": "MRI scan completed successfully with no complications."
13 }
14}
Create Resident Event: MRI | Method | |---| | /mriapiservices/api.asp?$api=MRI_S-PMRM_CreateRmAction | <Note title="Notice">This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.</Note>
Was this page helpful?
Previous

Update Resident Event: MRI

Next
Built with

Create Resident Event: MRI

Method
/mriapiservices/api.asp?$api=MRI_S-PMRM_CreateRmAction
Notice
This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
resident_idstringRequired
The Propexo unique identifier for the resident
event_type_idstringRequired
The Propexo unique identifier for the event type
event_datetimestringRequired
The date when the event will occur
employee_idstringOptional

The Propexo unique identifier for the employee. Must have a role of LEASING_AGENT

statusenumOptional
The raw status associated with the event
Allowed values:
notesstringOptional
Notes associated with the event

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error